Message: Re: CMake installation problems Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: CMake installation problems 

Forum: Installation and Configuration
Re: None CMake installation problems (Prasun Sarkar)
Date: 01 May, 2013
From: Ben Morgan <Ben Morgan>

Hi Prasun

On Wed, 01 May 2013 10:07:59 GMT, Prasun Sarkar wrote:
> it is showing
> 
>  $ Curses libraries were not found. Curses GUI for CMake will not be built. 
> -- Configuring done 
> -- Generating done 
> -- Build files have been written to: /home/geant4/geant4.9.5/cmake-2.6.4 
> 
> Any suggestion to solve this problem would be appreciative.

It looks like you do not have the Curses headers/libraries installed on the system. However, it is reporting that configuration/generation was successful, so you should be able to build CMake fine, just that you won't get the ccmake Curses interface. If you do want ccmake, then you'll need to install the relevant packages - on SLC, I think these are rpms ncurses and ncurses-devel.

You could also try using the Linux binary distributed by Kitware.

Hope that helps, though note that we can't in general provide support for installing CMake itself. If you have further questions on this, I would direct them to the relevant CMake mailing list.

Cheers,

Ben.

 Add Message Add Message
to: "Re: CMake installation problems"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]